1. User
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • SDKs
    • @klink.cloud/call-sdk
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
    • User
      • Create
        POST
      • Listing
        GET
      • Detail
        GET
      • Update
        PATCH
      • Delete
        DELETE
    • Automation Queue
      • Create
      • Listing
      • Detail
      • Update
      • Delete
      • Add Member
      • Remove Member
    • Role
      • Listing
Blog
Github
  1. User

Listing

GET
/api/v1/users
Returns a paginated list of the users in your workspace.
keyword matches on name and email. Search is substring-based, so kyaw finds "Kyaw Kyaw".

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Bodyapplication/json

🟠401Unauthorized
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apigw.klinkcx.com/api/v1/users?page=1&pageSize=10&keyword=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "page": 0,
    "pageSize": 0,
    "total": 0,
    "lastPage": 0,
    "data": [
        {
            "id": "string",
            "name": "string",
            "email": "string",
            "phone": "string",
            "address": "string",
            "globalAgentCapacity": 0,
            "roles": [
                {
                    "id": "string",
                    "systemName": "string",
                    "displayName": "string",
                    "description": "string"
                }
            ],
            "createdAt": "string",
            "updatedAt": "string"
        }
    ]
}
Modified at 2026-08-10 03:26:01
Previous
Create
Next
Detail
Built with